%define module_name WebService-HMRC-VAT
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(Moose.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(WebService/HMRC.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Interact with the UK HMRC VAT API
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/N/NP/NPRATER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Perl module to interact with the UK's HMRC Making Tax Digital
`VAT` API. This allows VAT returns to be submitted or viewed,
and obligations, payments and liabilities to be viewed.

For more information, see:
https://developer.service.hmrc.gov.uk/api-documentation/docs/api/service/vat-api/1.0

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod LICENSE
%perl_vendor_privlib/W*

%changelog
* Mon Apr 15 2019 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- updated by package builder

* Mon Jan 14 2019 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Thu Jan 03 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Sun Nov 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

